Inhalte

# Funktion Right

Gibt den auf "n" Zeichen von rechts gekürzten Zeichenfolgenausdruck zurück.

Siehe auch: Funktion Left.

### Syntax:

    Right (Zeichenfolge As String, Länge As Long)

### Rückgabetyp:

String

### Parameter:

Zeichenfolge: Beliebige Zeichenfolge, deren Zeichen ganz rechts zurückgegeben werden sollen.

Länge: Numerischer Ausdruck, der die Anzahl der Zeichen angibt, die zurückgeben werden sollen. Wenn Länge = 0, wird eine Zeichenfolge mit der Länge Null zurückgegeben. Der maximal zulässige Wert beträgt 2.147.483.648.

Im folgenden Beispiel wird ein Datum im US-Datumsformat (MM-TT-JJJJ) in das deutsche Format (TT.MM.JJJJ) konvertiert.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Geben Sie bitte ein Datum im englischen Format MM-DD-YYYY ein")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Verwandte Themen

Zeichenfolgenfunktionen

Bitte unterstützen Sie uns!